clear
cap log close
set more off

/*After taking variable positions and variable labels from the INPUT DOM2003.TXT file, and value labels from the Dicionrio de domiclios - 2003.xls file, this program uses the 
DOM2003.txt data file to generate a STATA file (DOM2003.dta) complete with variable and value labels.*/

global pathin "Q:\DataLib\Brazil\BRA_2003_PNAD\BRA_2003_PNAD_v01_M\Data\Original\IBGE\dados"
global pathout "Q:\DataLib\Brazil\BRA_2003_PNAD\BRA_2003_PNAD_v01_M\Data\Original\IBGE\stata"


#delimit;
drop _all;
infix

str	v0101	1-4
str	uf	5-6
str	v0102	5-12
str	v0103	13-15
str	v0104	16-17
str	v0105	18-19
str	v0106	20-21
str	v0201	22-22
str	v0202	23-23
str	v0203	24-24
str	v0204	25-25
str	v0205	26-27
str	v0206	28-29
str	v2006	30-30
str	v0207	31-31
str	v0208	32-43
str	v2081	44-44
str	v0209	45-56
str	v2091	57-57
str	v0210	58-58
str	v2010	59-60
str	v2210	61-62
str	v0211	63-63
str	v0212	64-64
str	v0213	65-65
str	v0214	66-66
str	v0215	67-67
str	v0216	68-68
str	v2016	69-70
str	v0217	71-71
str	v0218	72-72
str	v0219	73-73
str	v0220	74-74
str	v2020	75-75
str	v0221	76-76
str	v0222	77-77
str	v0223	78-78
str	v0224	79-79
str	v0225	80-80
str	v0226	81-81
str	v0227	82-82
str	v0228	83-83
str	v0229	84-84
str	v0230	85-85
str	v0231	86-86
str	v0232	87-87
str	v4105	88-88
str	v4106	89-89
str	v4107	90-90
str	v4600	91-92
str	v4601	93-94
str	v4602	95-98
str	v4604	99-100
str	v4605	101-112
str	v4606	113-115
str	v4607	116-127
str	v4608	128-136
str	v4609	137-145
str	v4610	146-148
str	v4611	149-153
str	v4614	154-165
str	v4615	166-168
str	v4617	169-175
str	v4618	176-182


using "$pathin\DOM2003.TXT";
destring, replace;


la var	v0101 "Ano Da Pesquisa";
la var	uf "Unidade Da Federao";
la var	v0102 "Nmero De Controle";
la var	v0103 "Nmero De Srie";
la var	v0104 "Tipo De Entrevista";
la var	v0105 "Total De Moradores";
la var	v0106 "Total Moradores 10 Anos Ou +";
la var	v0201 "Espcie De Domiclio";
la var	v0202 "Tipo De Domiclio";
la var	v0203 "Material Das Paredes Externas";
la var	v0204 "Material Do Telhado";
la var	v0205 "Nmero De Cmodos";
la var	v0206 "Numero Comodos (Dormitrios)";
la var	v2006 "Tem Garagem/Vaga Para Automvel";
la var	v0207 "Condio De Propriedade";
la var	v0208 "Aluguel Mensal Pago";
la var	v2081 "Cdigo De Valor Do Aluguel";
la var	v0209 "Prestao Mensal Paga";
la var	v2091 "Cdigo De Valor Da Prestao";
la var	v0210 "Propriedade Do Terreno";
la var	v2010 "rea Construda";
la var	v2210 "Valor Estimado Do Domiclio";
la var	v0211 "gua Canalizada Em Algum Cmodo";
la var	v0212 "Procedncia Da gua";
la var	v0213 "gua Canalizada P/ Propriedade";
la var	v0214 "gua De Poo Ou Nascente";
la var	v0215 "Existe Banheiro Ou Sanitrio";
la var	v0216 "Banheiro/Sanitrio  De Uso:";
la var	v2016 "Nmero De Banheiros/Sanitrios";
la var	v0217 "Forma De Escoadouro Banh./San.";
la var	v0218 "Destino Do Lixo Domiciliar";
la var	v0219 "Forma De Iluminao";
la var	v0220 "Tem Telefone Celular";
la var	v2020 "Tem Telefone Fixo";
la var	v0221 "Tem Fogo De 2 Ou + Bocas";
la var	v0222 "Tem Fogo De 1 Boca";
la var	v0223 "Fogo Usa Predominantemente:";
la var	v0224 "Tem Filtro D'gua";
la var	v0225 "Tem Rdio";
la var	v0226 "Tem Televiso Em Cores";
la var	v0227 "Tem Tv Em Preto E Branco";
la var	v0228 "Tem Geladeira";
la var	v0229 "Tem Freezer";
la var	v0230 "Tem Mquina De Lavar Roupa";
la var	v0231 "Tem Microcomputador";
la var	v0232 "Este Micro Acessa  Internet";
la var	v4105 "Cdigo De Situao Censitria";
la var	v4106 "Cdigo Tipo De Setor";
la var	v4107 "Cdigo De rea Censitria";
la var	v4600 "Dia De Referncia";
la var	v4601 "Ms De Referncia";
la var	v4602 "Estrato";
la var	v4604 "Nmero Municpios Selecionados";
la var	v4605 "Probabilidade Do Municpio";
la var	v4606 "Nmero De Setores Selecionados";
la var	v4607 "Probabilidade Do Setor";
la var	v4608 "Intervalo Seleo Do Domiclio";
la var	v4609 "Projeo De Populao";
la var	v4610 "Inverso Da Frao";
la var	v4611 "Peso Do Domiclio";
la var	v4614 "Rendimento Mensal Domiciliar";
la var	v4615 "Upa - Delimitao Do Municpio";
la var	v4617 "Strat - Id. Auto E No-Auto";
la var	v4618 "Psu - Un. Primria Amostragem";

#delimit;
la def  v0104 1 "Realizada"
			2 "Fechada"
			3 "Recusa"
			4 "Outra"
			5 "Em condies de ser habitada"
			6 "Uso ocasional"
			7 "Construo ou reforma"
			8 "Em runas"
			9 "Demolida"
			10 "No foi encontrada"
			11 "No residencial"
			12 "Fora do setor";
la val  v0104  v0104;	
		
					
cap la def  v0201 1 "Particular permanente"
				3 "Particular improvisado"
				5 "Coletivo";
cap la val  v0201  v0201;	
		
					
cap la def  v0202 2 "Casa"
				4 "Apartamento"
				6 "Cmodo"
				9 "Ignorado";
cap la val  v0202  v0202;	
		
					
cap la def  v0203 1 "Alvenaria"
				 2 "Madeira aparelhada"
				 3 "Taipa no revestida"
				 4 "Madeira aproveitada"
				 5 "Palha"
				 6 "Outro material"
				 9 "Sem declarao";
cap la val  v0203  v0203;		
	
					
cap la def  v0204  1 "Telha"
				  2 "Laje de concreto"
				  3 "Madeira aparelhada"
				  4 "Zinco"
				  5 "Madeira aproveitada"
				  6 "Palha"
				  7 "Outro material"
				  9 "Sem declarao";
cap la val  v0204  v0204;		
	
					
cap la def  v0205 99 "Sem declarao";
cap la val  v0205  v0205;	
		
					
cap la def  v0206 99 "Ignorado - No aplicvel";
cap la val  v0206  v0206;	
		
cap la def  v2006 2	"Sim"
				  4	"No"
				  9	"Sem declarao";
cap la val  v2006  v2006;	
							
					
					
cap la def  v0207  1 "Prprio  j pago"
				  2 "Prprio  ainda pagando"
				  3 "Alugado"
				  4 "Cedido por empregador"
				  5 "Cedido de outra forma"
				  6 "Outra condio"
				  9 "Sem declarao";
cap la val  v0207  v0207;		

cap la def  v0208 999 999 999 999 "Sem declarao";
cap la val  v0208  v0208;	
	
					
cap la def  v2081 1 "At  salrio mnimo"
				 2 "Mais de  at   1 salrio"
				 3 "Mais de  1 at   2 "
				 4 "Mais de  2 at   3 "
				 5 "Mais de  3 at   5 "
				 6 "Mais de  5 at  10 "
				 7 "Mais de 10 at 20"
				 8 "Mais de 20 salrios"
				 9 "Sem declarao - No aplicvel";
cap la val  v2081  v2081;	
		
cap la def  v0209 999 999 999 999 "Sem declarao";
cap la val  v0209  v0209;	
						
cap la def  v2091  1 "At  salrio mnimo"
				  2 "Mais de  at   1 salrio"
				  3 "Mais de  1 at   2 "
				  4 "Mais de  2 at   3 "
				  5 "Mais de  3 at   5 "
				  6 "Mais de  5 at  10 "
				  7 "Mais de 10 at 20"
				  8 "Mais de 20 salrios"
				  9 "Sem declarao";
cap la val  v2091  v2091;	
		
					
cap la def  v0210 2 "Sim"
				  4 "No"
				  9 "Sem declarao";
cap la val  v0210  v0210;	

cap la def v2010 1	"At 20 metros quadrados"
				 2	"De 21 a 50 metros quadrados"
				 3	"De 51 a 80 metros quadrados"
				 4	"De 81 a 110 metros quadrados"
				 5	"De 111 a 140 metros quadrados"
				 6	"De 141 a 200 metros quadrados"
				 7	"De 201 a 400 metros quadrados"
				 8	"Mais de 400 metros quadrados"
				 9	"No sabe"
				 99	"Sem declarao";
cap la val v2010 v2010;		

cap la def v2210 1	"At 2 mil reais"
				 2	"Mais de 2 a 5 mil reais"
				 3	"Mais de 5 a 10 mil reais"
				 4	"Mais de 10 a 15 mil reais"
				 5	"Mais de 15 a 25 mil reais"
				 6	"Mais de 25 a 35 mil reais"
				 7	"Mais de 35 a 50 mil reais"
				 8	"Mais de 50 a 100 mil reais"
				 9	"Mais de 100 mil reais"
				 10	"No sabe"
				 99	"Sem declarao";
cap la val v2210 v2210;
					
cap la def  v0211 1 "Sim"
				  3 "No"
				  9 "Sem declarao";
cap la val  v0211  v0211;		
	
					
cap la def  v0212 2 "Rede geral de distribuio"
				  4 "Poo ou nascente"
				  6 "Outra provenincia"
				  9 "Sem declarao";
cap la val  v0212  v0212;		
	
					
cap la def  v0213 1 "Sim"
				  3 "No"
				  9 "Sem declarao";
cap la val  v0213  v0213;	
		
					
cap la def  v0214 2 "Sim"
				  4 "No"
		          9 "Sem declarao";
cap la val  v0214  v0214;	
		
					
cap la def  v0215 1 "Sim"
				  3 "No"
		          9 "Sem declarao";
cap la val  v0215  v0215;	
		
					
cap la def  v0216 2 "S do domiclio"
				  4 "Comum a mais de um"
		          9 "Sem declarao";
cap la val  v0216  v0216;	
		
					
cap la def  v0217	1 "Rede coletora de esgoto ou pluvial"
					2 "Fossa sptica ligada  rede coletora de esgoto ou pluvial"
					3 "Fossa sptica no ligada  rede coletora ou pluvial"
					4 "Fossa rudimentar"
					5 "Vala"
					6 "Direto para o rio, lago ou mar"
					7 "Outra forma"
					9 "Sem declarao";
cap la val  v0217  v0217;	
		
					
cap la def  v0218 	1 "Coletado diretamente"
					2 "Coletado indiretamente"
					3 "Queimado ou enterrado na propriedade"
					4 "Jogado em terreno baldio ou logradouro"
					5 "Jogado em rio, lago ou mar"
					6 "Outro destino"
					9 "Sem declarao";
cap la val  v0218  v0218;	
		
					
cap la def  v0219 	1 "Eltrica (de rede, gerador, solar)"
					3 "leo, querosene ou gs de botijo"
					5 "Outra forma"
					9 "Sem declarao";
cap la val  v0219  v0219;	
		
					
cap la def  v0220   2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v0220  v0220;	
		
					
cap la def  v2020	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v2020  v2020;	
		
					
cap la def  v0221 	1 "Sim"
					3 "No"
					9 "Sem declarao";
cap la val  v0221  v0221;	
		
					
cap la def  v0222	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v0222  v0222;		
	
					
cap la def  v0223	1 "Gs de botijo"
					2 "Gs canalizado"
					3 "Lenha"
					4 "Carvo"
					5 "Energia eltrica"
					6 "Outro combustvel"
					9 "Sem declarao";
cap la val  v0223  v0223;	
		
					
cap la def  v0224	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v0224  v0224;	
		
					
cap la def  v0225	1 "Sim"
					3 "No"
				    9 "Sem declarao";
cap la val  v0225  v0225;	
		
					
cap la def  v0226	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v0226  v0226;			
				
	
cap la def  v0227	1 "Sim"
					3 "No"
					9 "Sem declarao";
cap la val  v0227  v0227;		
	
					
cap la def  v0228	2 "Sim, de 2 portas"
					4 "Sim, de 1 porta"
					6 "No"
					9 "Sem declarao";
cap la val  v0228  v0228;			
					
cap la def  v0229	1 "Sim"
					3 "No"
					9 "Sem declarao";
cap la val  v0229  v0229;			
					
cap la def  v0230	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val  v0230  v0230;			
					
cap la def  v0231	1 "Sim"
					3 "No"
					9 "Sem declarao";
cap la val  v0231  v0231;			
					
cap la def  v0232	2 "Sim"
					4 "No"
					9 "Sem declarao";
cap la val v0232  v0232;			
					
cap la def  v4105	1 "URBANA -Cidade ou vila, rea urbanizada"
					2 "URBANA - Cidade ou vila, rea no urbanizada"
					3 "URBANA - rea urbana isolada"
					4 "RURAL - Aglomerado rural de extenso urbana"
					5 "RURAL - Aglomerado rural, isolado, povoado"
					6 "RURAL - Aglomerado rural, isolado, ncleo"
					7 "RURAL - Aglomerado rural, isolado, outros aglomerados"
					8 "RURAL  Zona rural exclusive aglomerado rural ";
cap la val  v4105  v4105;			
					
cap la def  v4106	0"No Especial"
					1 "Especial de aglomerado subnormal"
					2 "Especial de quartis, bases militares, etc"
					3 "Especial de alojamentos, acampamentos, etc"
					4 "Especial de embarcaes, barcos, navios,etc"
					5 "Especial de aldeia indgena"
					6 "Penitenciria"
					7 "Asilo";
cap la val  v4106  v4106;			
					
cap la def  v4107	1 "Regio Metropolitana"
					2 "Auto Representativo"
					3 "No Auto Representativo";
cap la val  v4107  v4107;			

cap la def  v4614 999 999 999 999 "Sem declarao";
cap la val  v4614  v4614;	


compress;
saveold "$pathout\DOM2003.dta",replace;
